import { jsx } from "react/jsx-runtime";
import { TokenBLP as TokenBLP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBLP = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "BLP", "data-name": "TokenBLP", ...props, children: /* @__PURE__ */ jsx(TokenBLP$1, { variant }) });
  }
);
TokenBLP.displayName = "TokenBLP";
Object.assign(TokenBLP, { isGdsIcon: true });
export {
  TokenBLP
};
